%global srcname urllib2_kerberos 

Name:           python-%{srcname}
Version:        0.1.6
Release:        7%{?dist}
Summary:        Kerberos over HTTP Negotiate/SPNEGO support for urllib2

Group:          Development/Languages
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}/
Source0:        http://pypi.python.org/packages/source/u/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-setuptools-devel
Requires:       python-kerberos

%description
urllib2 with kerberos authentication.

%prep
%setup -q -n %{srcname}-%{version}
# Remove "#!/usr/bin/python\n"
tail -n +2 urllib2_kerberos.py >patched-urllib2_kerberos.py
mv patched-urllib2_kerberos.py urllib2_kerberos.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files
%{python_sitelib}/*


%changelog
* Tue Nov 27 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.1.6-7
- python-kerberos is required by this package

* Wed Jul 11 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.1.6-6
- Rebuilding retired package
- fixed spec file to comply with fedora-review

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 18 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.6-3
- don't preserve attributes of the file you modified.

* Wed Jun 17 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.6-2
- add BuildRequires: python-setuptools-devel.

* Thu Jun 11 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.6-1
- Initial packaging effort
